Bug 1465598 - SELinux is preventing totem-video-thu from 'write' accesses on the directory gstreamer-1.0.
SELinux is preventing totem-video-thu from 'write' accesses on the directory ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:6305cd9abe55226e06c43ca80d5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 13:42 EDT by Avvocato Andrea Marengoni
Modified: 2017-12-12 05:30 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:30:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avvocato Andrea Marengoni 2017-06-27 13:42:11 EDT
Description of problem:
SELinux is preventing totem-video-thu from 'write' accesses on the directory gstreamer-1.0.

*****  Plugin catchall (100. confidence) suggests   **************************

If si crede che totem-video-thu dovrebbe avere possibilità di accesso write sui gstreamer-1.0 directory in modo predefinito.
Then si dovrebbe riportare il problema come bug.
E' possibile generare un modulo di politica locale per consentire questo accesso.
Do
allow this access for now by executing:
# ausearch -c 'totem-video-thu' --raw | audit2allow -M my-totemvideothu
# semodule -X 300 -i my-totemvideothu.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:home_root_t:s0
Target Objects                gstreamer-1.0 [ dir ]
Source                        totem-video-thu
Source Path                   totem-video-thu
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-225.11.fc25.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.9.14-200.fc25.x86_64 #1 SMP Mon
                              Mar 13 19:26:40 UTC 2017 x86_64 x86_64
Alert Count                   2
First Seen                    2017-06-27 19:35:43 CEST
Last Seen                     2017-06-27 19:35:43 CEST
Local ID                      c1d6a13c-0c1d-49a8-8402-7fc278c7eb9f

Raw Audit Messages
type=AVC msg=audit(1498584943.429:300): avc:  denied  { write } for  pid=8186 comm="totem-video-thu" name="gstreamer-1.0" dev="sda5" ino=131162 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:home_root_t:s0 tclass=dir permissive=0


Hash: totem-video-thu,thumb_t,home_root_t,dir,write

Version-Release number of selected component:
selinux-policy-3.13.1-225.11.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.9.14-200.fc25.x86_64
type:           libreport

Potential duplicate: bug 1214771
Comment 1 Fedora End Of Life 2017-11-16 13:39:26 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-12-12 05:30:51 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.